%global __requires_exclude devel\\(

Name: x11-driver-video-openchrome
Version: 20170326
Release: %mkrel 2
Summary: X.org driver for Unichrome cards from the OpenChrome project
Group: System/X11
URL: http://www.openchrome.org
Source0: http://xorg.freedesktop.org/archive/individual/driver/xf86-video-openchrome-0.6.0.tar.xz

Patch1:        openchrome-0.2.904-fix_tvout_flickering.patch
Patch100: xf86-video-openchrome-0.2.901-billionmokeys.net_modelines.patch
Patch102: openchrome_mips_xvmc.patch

License: MIT
BuildRequires: GL-devel
BuildRequires: libdrm-devel
BuildRequires: libx11-devel
BuildRequires: libxvmc-devel
BuildRequires: libxext-devel
BuildRequires: pkgconfig(libudev)
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
A free and Open Source video driver for the VIA/S3G
UniChrome and UniChrome Pro graphics chipsets. (CLE266,
KN400, KM400, K8M800, PM800, CN400, VN800)

%prep
%setup -q -n xf86-video-openchrome-0.6.0
%patch1 -p0
%patch100 -p1 -b .billionmonkeys
%patch102 -p1 -b .xvmc

#needed by patch0
libtoolize
autoreconf -fi

%build
%configure2_5x --disable-static --enable-dri
%make

%install
%makeinstall_std

find %{buildroot} -regex ".*\.la$" | xargs rm -f --

rm -f %buildroot/%{_libdir}/libchromeXvMC.so
rm -f %buildroot/%{_libdir}/libchromeXvMCPro.so

%files
%{_libdir}/libchromeXvMC.so.1
%{_libdir}/libchromeXvMC.so.1.0.0
%{_libdir}/libchromeXvMCPro.so.1
%{_libdir}/libchromeXvMCPro.so.1.0.0
%{_libdir}/xorg/modules/drivers/openchrome_drv.so
%{_mandir}/man4/openchrome.*


%changelog
* Thu Mar 21 2019 tex - 20170326-2pclos2019
- rebuild against updates

* Sun Mar 26 2017 bb2 <bb2> 20170326-1pclos2017
- new version 0.6.0
